Bug 35880 - Use template wrapper for accordions: Patrons requesting modifications
Summary: Use template wrapper for accordions: Patrons requesting modifications
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: Main
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Julian Maurice
URL:
Keywords:
Depends on: 35877
Blocks:
  Show dependency treegraph
 
Reported: 2024-01-23 19:11 UTC by Owen Leonard
Modified: 2024-03-26 10:36 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00


Attachments
Bug 35880: Use template wrapper for accordions: Patrons requesting modifications (17.57 KB, patch)
2024-01-24 12:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35880: Use template wrapper for accordions: Patrons requesting modifications (17.61 KB, patch)
2024-02-04 22:21 UTC, David Nind
Details | Diff | Splinter Review
Bug 35880: Use template wrapper for accordions: Patrons requesting modifications (17.67 KB, patch)
2024-03-22 16:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35880: Use template wrapper for accordions: Patrons requesting modifications (17.72 KB, patch)
2024-03-26 08:34 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2024-01-23 19:11:17 UTC
Building on Bug 35877, this patch will update the patrons requesting modifications page (members-update.pl) to use WRAPPERs to generate the Bootstrap accordion markup.
Comment 1 Owen Leonard 2024-01-24 12:50:29 UTC
Created attachment 161329 [details] [review]
Bug 35880: Use template wrapper for accordions: Patrons requesting modifications

This patch updates the patrons requesting modification page so that
Bootstrap accordion markup is generated by WRAPPERs.

To test, apply the patch and make sure you have the OPACPatronDetails
system preference enabled.

- Create at least two different patron modification requests:
  - Log in to the OPAC using two different patron accounts, each time
    following the sidebar link for "Personal details."
  - Make some changes to the patron records and submit them.
- In the staff interface, from the home page, click the "Patrons
  requesting modifications" link.
- You should see the list of updates in the same format as before:
  Collapsible panels where clicking the patron name heading expands the
  corresponding information.
- View the detail or checkout page for one of your updated patrons.
  - Click the "Review pending modifications" link.
  - The modifications page should open with that patron's information
    exapanded.
Comment 2 David Nind 2024-02-04 22:21:37 UTC
Created attachment 161737 [details] [review]
Bug 35880: Use template wrapper for accordions: Patrons requesting modifications

This patch updates the patrons requesting modification page so that
Bootstrap accordion markup is generated by WRAPPERs.

To test, apply the patch and make sure you have the OPACPatronDetails
system preference enabled.

- Create at least two different patron modification requests:
  - Log in to the OPAC using two different patron accounts, each time
    following the sidebar link for "Personal details."
  - Make some changes to the patron records and submit them.
- In the staff interface, from the home page, click the "Patrons
  requesting modifications" link.
- You should see the list of updates in the same format as before:
  Collapsible panels where clicking the patron name heading expands the
  corresponding information.
- View the detail or checkout page for one of your updated patrons.
  - Click the "Review pending modifications" link.
  - The modifications page should open with that patron's information
    exapanded.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Owen Leonard 2024-03-22 16:48:32 UTC
Created attachment 163723 [details] [review]
Bug 35880: Use template wrapper for accordions: Patrons requesting modifications

This patch updates the patrons requesting modification page so that
Bootstrap accordion markup is generated by WRAPPERs.

To test, apply the patch and make sure you have the OPACPatronDetails
system preference enabled.

- Create at least two different patron modification requests:
  - Log in to the OPAC using two different patron accounts, each time
    following the sidebar link for "Personal details."
  - Make some changes to the patron records and submit them.
- In the staff interface, from the home page, click the "Patrons
  requesting modifications" link.
- You should see the list of updates in the same format as before:
  Collapsible panels where clicking the patron name heading expands the
  corresponding information.
- View the detail or checkout page for one of your updated patrons.
  - Click the "Review pending modifications" link.
  - The modifications page should open with that patron's information
    exapanded.

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Julian Maurice 2024-03-26 08:34:14 UTC
Created attachment 163888 [details] [review]
Bug 35880: Use template wrapper for accordions: Patrons requesting modifications

This patch updates the patrons requesting modification page so that
Bootstrap accordion markup is generated by WRAPPERs.

To test, apply the patch and make sure you have the OPACPatronDetails
system preference enabled.

- Create at least two different patron modification requests:
  - Log in to the OPAC using two different patron accounts, each time
    following the sidebar link for "Personal details."
  - Make some changes to the patron records and submit them.
- In the staff interface, from the home page, click the "Patrons
  requesting modifications" link.
- You should see the list of updates in the same format as before:
  Collapsible panels where clicking the patron name heading expands the
  corresponding information.
- View the detail or checkout page for one of your updated patrons.
  - Click the "Review pending modifications" link.
  - The modifications page should open with that patron's information
    exapanded.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 5 Katrin Fischer 2024-03-26 09:52:13 UTC
Hm, dependency is enhancement, but the depending bugs are normal - should this be backported?
Comment 6 Katrin Fischer 2024-03-26 10:22:02 UTC
Pushed for 24.05!

Well done everyone, thank you!